<?php
include_once '../sys/inc/start.php';
$doc = new document();
$doc -> title = 'История сообщений';
if (!isset($_GET['id']) || !is_numeric($_GET['id']))
{
header('Refresh: 1; url=./');
$doc->err('Ошибка выбора сообщения');
exit;
}
$id_theme=(int)$_GET['id'];

$q=mysql_query("SELECT * FROM `forum_messages` WHERE `id` = '$id_theme' AND `group_show` <= '$user->group'");

if (!mysql_num_rows($q))
{
header('Refresh: 1; url=./');
$doc->err('Сообщение не доступно');
exit;
}

$message=mysql_fetch_assoc($q);
$ank2 = new user($message['id_user']);
if ($message['id_user']!=$user->id && $ank2->group>=$user->group)
{
header('Refresh: 1; url=./');
$doc->err('Нет доступа к данной странице');
exit;
}


$posts = array();
$pages = new pages;
$pages->posts = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_history` WHERE `id_message` = '$message[id]'"), 0); // количество сообщений  теме
$pages->this_page(); // получаем текущую страницу

$ank = new user($message['edit_id_user']?$message['edit_id_user']:$message['id_user']);
$t=$ank->login.' '.vremja($message['edit_time']?$message['edit_time']:$message['time']);
$p=text::output_text($message['message']);
$posts[]=array('title'=>$t,'icon'=>$ank->icon(),'post'=>$p,'edit'=>'Текущая версия');

$q = mysql_query("SELECT * FROM `forum_history` WHERE `id_message` = '$message[id]' ORDER BY `id` DESC LIMIT {$pages->my_start()}, {$pages->items_per_page}");
while ($messages=mysql_fetch_assoc($q)) {
$ank = new user($messages['id_user']);
$t=$ank->nick.' '.vremja($messages['time']);
$p=text::output_text($messages['message']);

$posts[]=array('title'=>$t,'icon'=>$ank->icon(),'post'=>$p);
}
if (!$posts)$posts[]=array('icon'=>array('size'=>'small','src'=>'/sys/images/icons/empty.png'),'title'=>'Сообщения отсутствуют');

$show = new design();
$show->assign('post',$posts);
$show->display('design.listing.tpl');

$pages->listing('?id='.$message['id'].'&amp;'.(isset($_GET['return'])?'return='.urlencode($_GET['return']).'&amp;':null)); // вывод страниц



if (isset($_GET['return']))$doc->ret('В тему',for_value($_GET['return']));
else
$doc->ret('В тему','theme.php?id='.$message['id_theme']);
?>